/*
 * Made by Erik Terwan
 * 24th of November 2015
 * All rights reserved
 *
 *
 * If you are thinking of using this in
 * production code, beware of the browser
 * prefixes.
 */
body {
	margin: 0;
	padding: 0;
	/* make it look decent enough */
	background: #fff;
	color: Blue;
}

a {
	text-decoration: none;
	color: #232323;
	transition: color 0.2s ease;
}

a:hover {
	color: tomato;
}

#menuToggle {
	display: block;
	position: relative;
	top: 35px;
	z-index: 1;
	-webkit-user-select: none;
	user-select: none;
}

#menuToggle input {
	display: block;
	width: 40px;
	height: 32px;
	position: absolute;
	top: -7px;
	left: -5px;
	cursor: pointer;
	opacity: 0; /* hide this */
	z-index: 2; /* and place it over the hamburger */
	-webkit-touch-callout: none;
}

/*
 * Just a quick hamburger
 */
#menuToggle span {
	display: block;
	width: 33px;
	height: 4px;
	margin-bottom: 5px;
	position: relative;
	background: #000;
	border-radius: 3px;
	z-index: 1;
	transform-origin: 4px 0px;
	transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0),
		background 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0), opacity 0.55s ease;
}

#menuToggle span:first-child {
	transform-origin: 0% 0%;
}

#menuToggle span:nth-last-child(2) {
	transform-origin: 0% 100%;
}

/* 
 * Transform all the slices of hamburger
 * into a crossmark.
 */
#menuToggle input:checked ~ span {
	opacity: 1;
	transform: rotate(45deg) translate(-2px, -1px);
	background: #232323;
}

/*
 * But let's hide the middle one.
 */
#menuToggle input:checked ~ span:nth-last-child(3) {
	opacity: 0;
	transform: rotate(0deg) scale(0.2, 0.2);
}

/*
 * Ohyeah and the last one should go the other direction
 */
#menuToggle input:checked ~ span:nth-last-child(2) {
	opacity: 1;
	transform: rotate(-45deg) translate(0, -1px);
}

/*
 * Make this absolute positioned
 * at the top left of the screen
 */
#menu {
	border-style: solid;
	border-color: #ff0000;
	position: absolute;
	width: 250px;
	margin: -100px 0 0 -20px;
	padding: 20px;
	padding-top: 75px;
	background: #ffffff;
	list-style-type: none;
	-webkit-font-smoothing: antialiased;
	font-family: "Avenir Next", "Avenir", sans-serif;
	/* to stop flickering of text in safari */
	transform-origin: 0% 0%;
	transform: translate(-100%, 0);
	transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0);
}

#menu li {
	font-size: 16px;
	list-style-image: url('SoccerBall.png');
}

/*
 * And let's fade it in from the left
 */
#menuToggle input:checked ~ ul {
	transform: scale(1.0, 1.0);
	opacity: 1;
}